%define upstream_name    Text-Context-EitherSide
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Get n words either side of search keywords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
Suppose you have a large piece of text - typically, say, a web page or a
mail message. And now suppose you've done some kind of full-text search on
that text for a bunch of keywords, and you want to display the context in
which you found the keywords inside the body of the text.

A simple-minded way to do that would be just to get the two words either
side of each keyword. But hey, don't be too simple minded, because you've
got to make sure that the list doesn't overlap. If you have

    the quick brown fox jumped over the lazy dog

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.400.0-10.mga9
+ Revision: 1806365
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.400.0-9.mga8
+ Revision: 1497669
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.400.0-8.mga7
+ Revision: 1272032
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-7.mga6
+ Revision: 1034905
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.400.0-6.mga6
+ Revision: 939516
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-5.mga5
+ Revision: 742455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-4.mga5
+ Revision: 686612
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.400.0-3.mga4
+ Revision: 515553
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 374006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 22918
- cleaning spec file
- imported package perl-Text-Context-EitherSide

